/**
 * ModServ IRC Services
 * Version 2009
 * Copyright (C) 2007, 2008 Christian Jurk <commx@commx.ws>
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 3 of the License,
 * or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __MS_PROTOLIB_H
#define __MS_PROTOLIB_H

#include <MS_Main.h>
#include <MS_Users.h>
#include <QString>

extern void killnumeric(const QString &strNum, const QString &strReason);
extern void killuser(MUser *user, const QString &strReason);
extern void deluser(MUser *user);
extern void deleteUserFromAllChannels(MUser *user);

#endif /* __MS_PROTOLIB_H */
